package com.tencent.liteav.demo.player.util;

import com.tencent.liteav.demo.superplayer.SuperPlayerModel;

import java.util.ArrayList;
import java.util.List;

public class PlayerModelProvider {
    private static final String VIDEO_URL = "https://www.douyin.com/aweme/v1/play/?video_id=v0200fg10000cc5ca8bc77u6euo714d0&line=0&file_id=9c767801265548eaac539800298114a9&sign=c2faa0a73f75bef995e495c4d6688e00&is_play_url=1&source=PackSourceEnum_FEED&aid=6383";

    private static final String COVER_URL = "https://p9-pc-sign.douyinpic.com/tos-cn-p-0015/57aaf7f5975247e09c3df35e152055e4_1654159193~tplv-dy-360p.jpeg?biz_tag=pcweb_cover&from=4257465056&se=false&x-expires=1662015600&x-signature=0uL3qAHjGGcvaNmDuopeSCKdfm8%3D";

    private PlayerModelProvider() {
    }

    public static String getCourseId() {
        return "123";
    }

    public static List<SuperPlayerModel> getList() {
        List<SuperPlayerModel> list = new ArrayList<>();

        for (int i = 0; i < 90; i++) {
            SuperPlayerModel model = new SuperPlayerModel();
            model.title = "测试视频" + i;
            model.duration = 1222;
            model.isEnableCache = true;
            model.url = VIDEO_URL;
            model.sectionId = String.valueOf(i);

            if (i % 2 == 0) {
                model.cover = COVER_URL;
            }
            list.add(model);
        }

        list.get(list.size() - 1).isLast = true;
        return list;
    }
}
